<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button color="medium"></ion-back-button>
    </ion-buttons>
    <ion-title>Ittineraire</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div style="display: flex;align-items: center;width: 100%;z-index: 5;top: 6vh;padding: 0 5vw">
    <ion-icon name="menu-sharp" style=" padding: 7px;background: #f8fdf8;border-radius: 30px; font-size: 1.4rem;" (click)="menu()"></ion-icon>
    <ion-searchbar showCancelButton="never" showClearButton="never" mode="ios" style="padding-top:0px;padding-bottom: 0px;padding-right: 0px; --background: #f8fdf8;"  #searchInput [(ngModel)]="searchText">
      <ion-icon name="mic-outline" style="font-size: 25px; position: absolute; z-index: 15;color: black;  right: 5vw;" (click)="vocal()" tappable></ion-icon>
    </ion-searchbar>
  </div>
  <div> <ion-fab-button size="small" color="light2">
    <ion-icon src="../../assets/icon/svg/bus.svg"></ion-icon>
  </ion-fab-button> <span>Lignes</span></div>

  <ion-row>

    <ion-col size="12">
      <div class="cart-dashbord cart-1" *ngFor="let line of lines|filter:searchText" (click)="gotoline(line?.id)" >
        <p>{{line?.nom}}</p>
        <p>{{line?.depart.nom}}<br>{{line?.arrive.nom}}</p>
        <ion-icon name="chevron-forward-outline"></ion-icon>
      </div>
    </ion-col>

  </ion-row>

</ion-content>
